<?php
/**
 * Archive 'noticias'
 */
global $params;
$context = Timber::context();

// var_dump(get_cat_ID('Noticias'));
$category = get_category_by_slug('noticias');
$query = array(
        'post_type' => 'post',
        'cat' => $category ? $category->term_id : 201,
        'paged' => isset($params['paged']) ? $params['paged'] : 1,
        'posts_per_page' => get_option('posts_per_page') // Usa la configuración de WordPress
    );

    
$context['posts_noticias'] = Timber::get_posts($query);
error_log('✅ archive-noticias.php - Posts: ' . count($context['posts_noticias']));

Timber::render('templates/page-noticias.twig', $context);